body {
    font-family: "Poppins", sans-serif;
    margin: 0;
    padding: 0;
    background-color: #121212;
    color: #ffffff;
    scroll-behavior: smooth;
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  header {
    background: linear-gradient(90deg, #1e1e1e, #333);
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 25px 50px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    z-index: 1000;
    transition: top 0.3s;
  }

  h2 {
    color: #ffcc00;
    font-size: 1.5rem;
    margin-bottom: 10px;
  }

  header.hidden {
    top: -80px;
  }
  header h1 {
    margin: 0;
    font-size: 1.5rem;
  }
  nav ul {
    list-style: none;
    padding: 0;
    padding-right: 5vw;
    margin: 0;
    display: flex;
  }
  nav ul li {
    margin: 0 20px;
  }
  nav ul li a {
    color: #ffcc00;
    text-decoration: none;
    font-weight: bold;
    font-size: 1.2em;
    transition: 0.3s;
  }
  nav ul li a:hover {
    color: #ffffff;
  }
  main {
    margin-top: 80px;
    width: 80%;
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  
  
  #about-me {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    min-height: 100vh;
    width: 100%;
  }

  .about-me-content {
    padding-top: 7%;
    display: flex;

  }
  .about-text {
    flex: 1;
    line-height: 1.8;
    text-align: left;
    justify-content: flex-start;
  }

  .about-text p {
    flex: 1;
    font-size: 1.5rem;
    margin-top: 0px;
    line-height: 1.8;
    text-align: left;
    justify-content: flex-start;
  }

  .about-text h2 {
    margin-bottom: 5px;
  }



  .about-image {
    flex: 1;
    display: flex;
    justify-content: flex-end;
    padding-left: 20vh;
  }
  .about-image img {
    width: 85%;
    height: auto;
    border-radius: 50%;
    border: 5px solid #ffcc00;
  }



  #projects {
    min-height: 50vh;
    width: 90vw;
    background: rgba(255, 255, 255, 0.05);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
    padding: 8vh 0px;
    margin-bottom: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  #projects h2 {
    align-self: flex-start;
    padding-left: 10vw;
    margin-bottom: 15px;
  }

  .projects-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
    width: 90%;
    align-items: start; /* Keeps alignment consistent */
    
  }

  
  .project {
    display: flex;
    flex-direction: column;
    justify-content: center; /* Ensures even spacing */
    align-items: center;
    text-align: center;
    background: #222;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
    transition: 0.3s;
    min-height: 100px; /* Prevents collapsing */
  }

  .project img {
    width: 90%;
    height: 50%;
  }

  .project h3 {
    margin-bottom: 10px; /* Consistent spacing */
    color: #ffffff;
  }

  .project p {
    flex-grow: 1; /* Pushes content evenly */
    display: flex;
    align-items: center;
    justify-content: center;
    color: #ffffff;
  }

  .project:hover {
    transform: scale(1.05);
  }


  #contact {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    margin-top: 3vh;

  }

  #contact h2 {
    align-self: flex-start;
  }

  .contact-container {
    display: grid;
    width: 100%;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));

    align-items: start; /* Keeps alignment consistent */

  }

  .contact-in {
    display: flex;
    justify-content: center;
  }

  .contact-in a:hover {
    transform: scale(1.05);
  }

  footer {
    text-align: center;
    padding: 20px 0px;
    background: linear-gradient(90deg, #1e1e1e, #333);
    width: 100%;
  }
  a {
    color: #ffcc00;
    text-decoration: none;
    font-weight: bold;
  }
  a:hover {
    text-decoration: none;
  }

  .blog-post-card {
  display: flex;
  flex-direction: row;
  align-items: center;
  background: #1e1e1e;
  padding: 20px;
  /* border-left: 5px solid #ffcc00;
  border-radius: 10px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3); */
  transition: transform 0.2s ease, box-shadow 0.2s ease;
  gap: 20px;
  width: 100%;
  max-width: 550px;
  margin-bottom: 1%;
}

  

  @media (max-width: 1024px) {
    .projects-container {
      grid-template-columns: repeat(2, 1fr); 
    }
    .hamburger-menu-toggle {
      position: absolute;
      right: 60px; 
      top: 50%;
      transform: translateY(-50%); 
      font-size: 1.8em;
      color: #ffcc00;
      background: none;
      border: none;
      outline: none;
      cursor: pointer;
      z-index: 1001; 
    }
  }

  

  @media (max-width: 900px) {
    header {
      padding: 15px 20px;
    }

    nav ul {
      display: none; 
      flex-direction: column;
      position: absolute;
      top: 100%;
      left: 0;
      width: 100%;
      background: #1e1e1e;
      padding: 10px 0;
      text-align: center;
    }

    nav ul.show {
      display: flex;
    }

    nav ul li {
      margin: 10px 0;
    }

    .about-me-content {
      flex-direction: column;
      text-align: center;
      padding-bottom: 5vw;
    }

    .projects-container {
      grid-template-columns: 1fr; 
    }

    .about-text {
      max-width: 90%;
      font-size: 1rem;
    }

    .about-image {
      justify-content: center;
      padding-left: 0;
      margin-top: 20px;
    }

    .about-image img {
      width: 50%;
      height: 50%;
    }
  }

  @media (max-width: 600px) {
    body {
      font-size: 14px;
    }

    h1 {
      font-size: 1.2rem;
    }

    h2 {
      font-size: 1.5rem;
    }

    .about-text h2 {
      font-size: 2rem;
    }

    .about-text p {
      font-size: 1.2rem;
    }

    .project {
      padding: 20px; 
    }

    footer {
      text-align: center;
      padding: 15px;
    }

    .hamburger-menu-toggle {
      padding-left: 0px;
    }
  }

  @media (min-width: 900px) {
    .hamburger-menu-toggle {
      display: none;
    }

    .about-text {
      font-size: 100%;
    }

    .about-text h2 {
      font-size: 1.5rem;
    }
  } 